[SciPy-dev] build problem error: file 'ARPACK\FWRAPPERS\dummy.f' does not exist

josef.pktd@gmai... josef.pktd@gmai...
Tue Dec 23 09:10:57 CST 2008


On Mon, Dec 22, 2008 at 9:09 PM, David Cournapeau
<david@ar.media.kyoto-u.ac.jp> wrote:
> josef.pktd@gmail.com wrote:
>> On Mon, Dec 22, 2008 at 11:37 AM,  <josef.pktd@gmail.com> wrote:
>>
>>> I was trying to build the current scipy trunk, r5286, and got stuck with arpack
>>>
>>> this is the last part of the build log
>>>
>>> building 'arpack' library
>>> compiling Fortran sources
>>> Fortran f77 compiler: C:\Programs\MinGW\bin\g77.exe -g -Wall -fno-second-undersc
>>> ore -mno-cygwin -O3 -funroll-loops
>>> error: file 'ARPACK\FWRAPPERS\dummy.f' does not exist
>>>
>>> WindowsXP, mingw 3.4,
>>> svn export
>>> python25 setup.py bdist
>>>
>>>>>> np.version.version
>>>>>>
>>> '1.3.0.dev6139'
>>>
>>> I don't see any ARPACK\FWRAPPERS directory anywhere.
>>>
>>> Josef
>>>
>>>
>>
>> All clear,
>>
>> `svn update` didn't download the fwrappers directory, I had to
>> explicitely specify the missing directory for update.
>>
>
> That's strange. Generally, the problem is with removed directories - I
> never had problems updating new directories. Which version of subversion
> are you using ?
>
> David
> _______________________________________________
> Scipy-dev mailing list
> Scipy-dev@scipy.org
> http://projects.scipy.org/mailman/listinfo/scipy-dev
>

I'm using svn 1.4.6, using both command line and pysvn workbench,  I
think, I also have a bugfix from bzr-svn.  I also had one broken
install of svn 1.5  beta, which I had to delete. Usually I don't have
any problems at all, but I will need to upgrade svn soon, (also to
upgrade to newer bzr) and get a new clean checkout.

Josef


More information about the Scipy-dev mailing list